# pybot-f

The Discord bot developed by freakyy85.

I develop this bot using discord.py. It should feature slash-commands, extensions inside an ext/ folder, and many
more things I will try to implement.

Check by from time to time to see what has changed. :)

# Installation
1. Check that you create a venv and then install requirements.txt in there.
   - python3 -m venv venv
   - Linux: source venv/bin/activate
   - pip install -r requirements.txt
2. Visit https://discordpy.readthedocs.io/en/latest/discord.html to read about how to create a bot on the Discord Website.
3. Then make a copy of bot.ini.example and name it "bot.ini". Edit the file.
4. Run the bot inside the venv.
   - Make sure u're inside the venv.
   - Now: python3 pybot-f.py
5. Invite the bot to your server using the provided link after successfully starting the bot.

# Bugs
If you find a bug or have a feature request, visit https://code.nextgamers.eu/freaky/pybot-f/issues .

# Extensions
- Extensions are how you create "plugins/modules" for the bot to provide additional features. There are some .example extension files in
  the ext/ folder.
- If you need more information visit https://discordpy.readthedocs.io/en/latest/index.html#extensions and read about extensions there.
- The jishaku extension is always loaded and downloaded from the network on requirement.txt updates. The module provides administration commands.
  it is not written by me.

# Notes
- There is a .gitignore which ignores things like bot.ini and bot.log with git so passwords and logs are not getting commited to git.
- A better description and HowTo will follow someday, maybe in the wiki. :)
